Bug 64390 - math/xgfe: fix build on FreeBSD 4 and runtime problems with qt3
Summary: math/xgfe: fix build on FreeBSD 4 and runtime problems with qt3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexander Leidinger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-17 23:10 UTC by marius
Modified: 2004-03-30 18:05 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (44.21 KB, patch)
2004-03-17 23:10 UTC, marius
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description marius 2004-03-17 23:10:23 UTC
	Unfortunately, the recent changes to math/xgfe (PR 59024) broke its
	compilation on FreeBSD 4 with GCC 2.95.4:
		http://bento.freebsd.org/errorlogs/i386-4-latest/xgfe-2.1.log

	The patch below fixes this.

	During testing it on FreeBSD 4 and 5 with QT 3.3.1 I noticed that the
	Advanced -> Multiple Files and Advanced -> Multiple Functions dialogs
	were broken. I'm not sure if this is a new breakage with QT 3.3.1 or
	if I didn't notice these when testing the previous patch on FreeBSD 5
	with QT 3.2.1. Anyway, these are also fixed and as a precaution
	PORTREVISION is bumped.

	The patch also adds SIZE info.

Fix: new files:
files/patch-fileFilter.cpp
files/patch-multiFileData.cpp
files/patch-multiFileData.h
files/patch-multiFuncData.cpp
files/patch-multiFuncData.h
files/patch-rawGnu.cpp
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2004-03-18 05:28:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mph

Over to maintainer.
Comment 2 Alexander Leidinger freebsd_committer 2004-03-30 11:55:40 UTC
Responsible Changed
From-To: mph->netchild

Take PR. 

Approved by:	mph
Comment 3 Alexander Leidinger freebsd_committer 2004-03-30 18:05:04 UTC
State Changed
From-To: open->closed

Committed, thanks.